<?php
// $Id: page.tpl.php,v 1.25 2007/09/05 08:42:02 dries Exp $
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php print $language->language ?>" xml:lang="<?php print $language->language ?>">

<head>
  <title><?php print $head_title ?></title>
  <?php print $head ?>
  <?php print $styles ?>
  <?php print $scripts ?>
  <script type="text/javascript"><?php /* Needed to avoid Flash of Unstyle Content in IE */ ?> </script>
</head>

<body>

<div id="page">

<div id="header"><div class="hb">
  <div class="clear1px">&nbsp;</div>
  <div id="menu"><?php if (isset($primary_links)) { ?>
    <?php print theme('links', array_reverse($primary_links), array('class' =>'links', 'id' => 'primary')) ?>
  <?php } ?></div>
  <div class="headsep">&nbsp;</div>
  <div id="logo">
    <?php if ($logo) { ?><a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><img src="<?php print $logo ?>" alt="<?php print t('Home') ?>" /></a><?php } ?>
  </div>
  <?php if ($site_name) { ?><h1 class='site-name'><a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><?php print $site_name ?></a></h1><?php } ?>
  <div id="subheader"><div class="subht">
    <?php if (isset($search_box)) { ?><?php print $search_box ?><?php } ?>
    <div class='site-slogan'><?php if ($site_slogan) { print $site_slogan; } ?></div>
    <div id="mission"><?php if ($mission) { print $mission; } ?>&nbsp;</div>
    <div><?php print $header ?></div>
    <?php if (isset($secondary_links)) { ?>
      <?php print theme('links', $secondary_links, array('class' =>'links', 'id' => 'secondary')) ?>
    <?php } ?>
    <?php if (! drupal_is_front_page()) { print $breadcrumb; } ?>
    <div class="clear1px">&nbsp;</div>
  </div></div>
</div></div>

<?php
  $w_twocol="w_80 ";
  $w_blockleft="w_23 ";
  $w_main="w_74 ";
  $ml_blockright="ml_81 ";
  $ml_main="ml_24 ";
  if (! $right) {
    $w_twocol="w_100 ";
    $ml_blockright=" ";
  }
  if (! $left) {
    $w_main="w_96 ";
    $w_blockleft=" ";
    $ml_main=" ";
  }
?>

<div id="content">

<div id="threecol">
  <div id="twocol" class="<?php print $w_twocol; ?>">
    <?php if ($left) { ?>
      <div id="block-left" class="<?php print $w_blockleft; ?>">
        <div id="sidebar-left"><?php print $left ?></div>
      </div>
    <?php } ?>
    <div id="main_wrap" class="<?php print $w_main; print $ml_main; ?>">
      <div id="main">
        <?php if ($title) { ?><h1 class="title"><?php print $title ?></h1><?php } ?>
        <?php if ($tabs) { ?><div class="tabs"><?php print $tabs ?></div><?php } ?>
        <?php print $help ?>
        <?php print $messages ?>
        <?php print $content; ?>
      </div>
    </div> 
    <span class="clearing"></span>
  </div>
  <?php if ($right) { ?>
    <div id="block-right" class="<?php print $ml_blockright; ?>">
      <div id="sidebar-right">
        <?php print $right ?>
      </div>
    </div>
  <?php } ?>
  <span class="clearing"></span>
</div>

</div> <!-- CONTENT -->

<div id="footer">
  <?php print $footer_message ?>
</div>

</div> <!-- PAGE -->

<?php print $closure ?>
</body>
</html>
